org.apache.commons.math3.optimization

## Class SimplePointChecker<PAIR extends Pair<double[],? extends Object>>

- java.lang.Object
- - org.apache.commons.math3.optimization.AbstractConvergenceChecker<PAIR>
  - - org.apache.commons.math3.optimization.SimplePointChecker<PAIR>

- Type Parameters:
    `PAIR` - Type of the (point, value) pair. The type of the "value" part of the pair (not used by this class).
  All Implemented Interfaces:
    ConvergenceChecker<PAIR>

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public class SimplePointChecker<PAIR extends Pair<double[],? extends Object>>
      extends AbstractConvergenceChecker<PAIR>

  Simple implementation of the `ConvergenceChecker` interface using only point coordinates. Convergence is considered to have been reached if either the relative difference between each point coordinate are smaller than a threshold or if either the absolute difference between the point coordinates are smaller than another threshold.
  The `converged` method will also return `true` if the number of iterations has been set (see `this constructor`).
  Since:
    3.0
  Version:
    $Id: SimplePointChecker.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `ITERATION_CHECK_DISABLED` Deprecated. If `maxIterationCount` is set to this value, the number of iterations will never cause `converged(int, Pair, Pair)` to return `true`.
    `private int` | `maxIterationCount` Deprecated. Number of iterations after which the `converged(int, Pair, Pair)` method will return true (unless the check is disabled).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePointChecker()` Deprecated. See `AbstractConvergenceChecker.AbstractConvergenceChecker()`
    `SimplePointChecker(double relativeThreshold, double absoluteThreshold)` Deprecated. Build an instance with specified thresholds.
    `SimplePointChecker(double relativeThreshold, double absoluteThreshold, int maxIter)` Deprecated. Builds an instance with specified thresholds.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `converged(int iteration, PAIR previous, PAIR current)` Deprecated. Check if the optimization algorithm has converged considering the last two points.

    - ### Methods inherited from class org.apache.commons.math3.optimization.AbstractConvergenceChecker

      `getAbsoluteThreshold, getRelativeThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ITERATION_CHECK_DISABLED

          private static final int ITERATION_CHECK_DISABLED

      Deprecated.
      If `maxIterationCount` is set to this value, the number of iterations will never cause `converged(int, Pair, Pair)` to return `true`.
      See Also:
        Constant Field Values

    - #### maxIterationCount

          private final int maxIterationCount

      Deprecated.
      Number of iterations after which the `converged(int, Pair, Pair)` method will return true (unless the check is disabled).

  - ### Constructor Detail

    - #### SimplePointChecker

          @Deprecated
          public SimplePointChecker()

      Deprecated. See `AbstractConvergenceChecker.AbstractConvergenceChecker()`
      Build an instance with default threshold.

    - #### SimplePointChecker

          public SimplePointChecker(double relativeThreshold,
                            double absoluteThreshold)

      Deprecated.
      Build an instance with specified thresholds. In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.
      Parameters:
        `relativeThreshold` - relative tolerance threshold
        `absoluteThreshold` - absolute tolerance threshold

    - #### SimplePointChecker

          public SimplePointChecker(double relativeThreshold,
                            double absoluteThreshold,
                            int maxIter)

      Deprecated.
      Builds an instance with specified thresholds. In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.
      Parameters:
        `relativeThreshold` - Relative tolerance threshold.
        `absoluteThreshold` - Absolute tolerance threshold.
        `maxIter` - Maximum iteration count.
      Throws:
        `NotStrictlyPositiveException` - if `maxIter <= 0`.
      Since:
        3.1

  - ### Method Detail

    - #### converged

          public boolean converged(int iteration,
                          PAIR previous,
                          PAIR current)

      Deprecated.
      Check if the optimization algorithm has converged considering the last two points. This method may be called several times from the same algorithm iteration with different points. This can be detected by checking the iteration number at each call if needed. Each time this method is called, the previous and current point correspond to points with the same role at each iteration, so they can be compared. As an example, simplex-based algorithms call this method for all points of the simplex, not only for the best or worst ones.
      Specified by:
        `converged` in interface `ConvergenceChecker<PAIR extends Pair<double[],? extends Object>>`
      Specified by:
        `converged` in class `AbstractConvergenceChecker<PAIR extends Pair<double[],? extends Object>>`
      Parameters:
        `iteration` - Index of current iteration
        `previous` - Best point in the previous iteration.
        `current` - Best point in the current iteration.
      Returns:
        `true` if the arguments satify the convergence criterion.

Copyright (c) 2003-2013 Apache Software Foundation